[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
grep branch, master, updated. v2.8-28-g252dfb2
From: |
Jim Meyering |
Subject: |
grep branch, master, updated. v2.8-28-g252dfb2 |
Date: |
Tue, 21 Jun 2011 09:18:13 +0000 |
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".
The branch, master has been updated
via 252dfb2b16b13502c2ea7341a743288fe522e59b (commit)
via 4eddaace7e2ccf1ae47b6205b5b8359be9657fce (commit)
via bfd71eeff179f1ddeaefb63860b58941ea95a14f (commit)
via 10d393b5f55472834b2f4b2c6f68acfdb4a97f2d (commit)
from 8f09073c88002f4bf1d83331d6cff03a04a3b9b6 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=252dfb2b16b13502c2ea7341a743288fe522e59b
commit 252dfb2b16b13502c2ea7341a743288fe522e59b
Author: Jim Meyering <address@hidden>
Date: Tue Jun 21 11:14:07 2011 +0200
tests: include-exclude: avoid false positive failure on FreeBSD
* tests/include-exclude: Avoid false-positive failure due to
matching "a" in a directory on FreeBSD, when searching a directory
without "-r". Search for '^aaa$' rather than just 'a'.
Adjust test inputs and expected output files accordingly.
diff --git a/tests/include-exclude b/tests/include-exclude
index 8a8e86c..4be5c78 100644
--- a/tests/include-exclude
+++ b/tests/include-exclude
@@ -3,15 +3,15 @@
. "${srcdir=.}/init.sh"; path_prepend_ ../src
mkdir -p x/dir || framework_failure_
-echo a > x/a || framework_failure_
-echo b > x/b || framework_failure_
-echo d > x/dir/d || framework_failure_
+echo aaa > x/a || framework_failure_
+echo bbb > x/b || framework_failure_
+echo ddd > x/dir/d || framework_failure_
-printf '%s\n' x/b:b x/dir/d:d > exp-not-a || framework_failure_
-printf '%s\n' x/dir/d:d > exp-not-ab || framework_failure_
-printf '%s\n' x/a:a x/b:b > exp-not-d || framework_failure_
-printf '%s\n' x/a:a x/b:b > exp-not-dir || framework_failure_
-printf '%s\n' x/a:a > exp-a || framework_failure_
+printf '%s\n' x/b:bbb x/dir/d:ddd > exp-not-a || framework_failure_
+printf '%s\n' x/dir/d:ddd > exp-not-ab || framework_failure_
+printf '%s\n' x/a:aaa x/b:bbb > exp-not-d || framework_failure_
+printf '%s\n' x/a:aaa x/b:bbb > exp-not-dir || framework_failure_
+printf '%s\n' x/a:aaa > exp-a || framework_failure_
grep -r --exclude='a*' . x > out || fail=1
sort out > k && mv k out
@@ -40,7 +40,7 @@ grep -r --include='a*' . x > out || fail=1
compare out exp-a || fail=1
# --include (without --recursive) uses different code
-grep --include=a a x/* > out || fail=1
+grep --include=a '^aaa$' x/* > out || fail=1
compare out exp-a || fail=1
Exit $fail
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=4eddaace7e2ccf1ae47b6205b5b8359be9657fce
commit 252dfb2b16b13502c2ea7341a743288fe522e59b
Author: Jim Meyering <address@hidden>
Date: Tue Jun 21 11:14:07 2011 +0200
tests: include-exclude: avoid false positive failure on FreeBSD
* tests/include-exclude: Avoid false-positive failure due to
matching "a" in a directory on FreeBSD, when searching a directory
without "-r". Search for '^aaa$' rather than just 'a'.
Adjust test inputs and expected output files accordingly.
diff --git a/tests/include-exclude b/tests/include-exclude
index 8a8e86c..4be5c78 100644
--- a/tests/include-exclude
+++ b/tests/include-exclude
@@ -3,15 +3,15 @@
. "${srcdir=.}/init.sh"; path_prepend_ ../src
mkdir -p x/dir || framework_failure_
-echo a > x/a || framework_failure_
-echo b > x/b || framework_failure_
-echo d > x/dir/d || framework_failure_
+echo aaa > x/a || framework_failure_
+echo bbb > x/b || framework_failure_
+echo ddd > x/dir/d || framework_failure_
-printf '%s\n' x/b:b x/dir/d:d > exp-not-a || framework_failure_
-printf '%s\n' x/dir/d:d > exp-not-ab || framework_failure_
-printf '%s\n' x/a:a x/b:b > exp-not-d || framework_failure_
-printf '%s\n' x/a:a x/b:b > exp-not-dir || framework_failure_
-printf '%s\n' x/a:a > exp-a || framework_failure_
+printf '%s\n' x/b:bbb x/dir/d:ddd > exp-not-a || framework_failure_
+printf '%s\n' x/dir/d:ddd > exp-not-ab || framework_failure_
+printf '%s\n' x/a:aaa x/b:bbb > exp-not-d || framework_failure_
+printf '%s\n' x/a:aaa x/b:bbb > exp-not-dir || framework_failure_
+printf '%s\n' x/a:aaa > exp-a || framework_failure_
grep -r --exclude='a*' . x > out || fail=1
sort out > k && mv k out
@@ -40,7 +40,7 @@ grep -r --include='a*' . x > out || fail=1
compare out exp-a || fail=1
# --include (without --recursive) uses different code
-grep --include=a a x/* > out || fail=1
+grep --include=a '^aaa$' x/* > out || fail=1
compare out exp-a || fail=1
Exit $fail
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=bfd71eeff179f1ddeaefb63860b58941ea95a14f
commit 252dfb2b16b13502c2ea7341a743288fe522e59b
Author: Jim Meyering <address@hidden>
Date: Tue Jun 21 11:14:07 2011 +0200
tests: include-exclude: avoid false positive failure on FreeBSD
* tests/include-exclude: Avoid false-positive failure due to
matching "a" in a directory on FreeBSD, when searching a directory
without "-r". Search for '^aaa$' rather than just 'a'.
Adjust test inputs and expected output files accordingly.
diff --git a/tests/include-exclude b/tests/include-exclude
index 8a8e86c..4be5c78 100644
--- a/tests/include-exclude
+++ b/tests/include-exclude
@@ -3,15 +3,15 @@
. "${srcdir=.}/init.sh"; path_prepend_ ../src
mkdir -p x/dir || framework_failure_
-echo a > x/a || framework_failure_
-echo b > x/b || framework_failure_
-echo d > x/dir/d || framework_failure_
+echo aaa > x/a || framework_failure_
+echo bbb > x/b || framework_failure_
+echo ddd > x/dir/d || framework_failure_
-printf '%s\n' x/b:b x/dir/d:d > exp-not-a || framework_failure_
-printf '%s\n' x/dir/d:d > exp-not-ab || framework_failure_
-printf '%s\n' x/a:a x/b:b > exp-not-d || framework_failure_
-printf '%s\n' x/a:a x/b:b > exp-not-dir || framework_failure_
-printf '%s\n' x/a:a > exp-a || framework_failure_
+printf '%s\n' x/b:bbb x/dir/d:ddd > exp-not-a || framework_failure_
+printf '%s\n' x/dir/d:ddd > exp-not-ab || framework_failure_
+printf '%s\n' x/a:aaa x/b:bbb > exp-not-d || framework_failure_
+printf '%s\n' x/a:aaa x/b:bbb > exp-not-dir || framework_failure_
+printf '%s\n' x/a:aaa > exp-a || framework_failure_
grep -r --exclude='a*' . x > out || fail=1
sort out > k && mv k out
@@ -40,7 +40,7 @@ grep -r --include='a*' . x > out || fail=1
compare out exp-a || fail=1
# --include (without --recursive) uses different code
-grep --include=a a x/* > out || fail=1
+grep --include=a '^aaa$' x/* > out || fail=1
compare out exp-a || fail=1
Exit $fail
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=10d393b5f55472834b2f4b2c6f68acfdb4a97f2d
commit 252dfb2b16b13502c2ea7341a743288fe522e59b
Author: Jim Meyering <address@hidden>
Date: Tue Jun 21 11:14:07 2011 +0200
tests: include-exclude: avoid false positive failure on FreeBSD
* tests/include-exclude: Avoid false-positive failure due to
matching "a" in a directory on FreeBSD, when searching a directory
without "-r". Search for '^aaa$' rather than just 'a'.
Adjust test inputs and expected output files accordingly.
diff --git a/tests/include-exclude b/tests/include-exclude
index 8a8e86c..4be5c78 100644
--- a/tests/include-exclude
+++ b/tests/include-exclude
@@ -3,15 +3,15 @@
. "${srcdir=.}/init.sh"; path_prepend_ ../src
mkdir -p x/dir || framework_failure_
-echo a > x/a || framework_failure_
-echo b > x/b || framework_failure_
-echo d > x/dir/d || framework_failure_
+echo aaa > x/a || framework_failure_
+echo bbb > x/b || framework_failure_
+echo ddd > x/dir/d || framework_failure_
-printf '%s\n' x/b:b x/dir/d:d > exp-not-a || framework_failure_
-printf '%s\n' x/dir/d:d > exp-not-ab || framework_failure_
-printf '%s\n' x/a:a x/b:b > exp-not-d || framework_failure_
-printf '%s\n' x/a:a x/b:b > exp-not-dir || framework_failure_
-printf '%s\n' x/a:a > exp-a || framework_failure_
+printf '%s\n' x/b:bbb x/dir/d:ddd > exp-not-a || framework_failure_
+printf '%s\n' x/dir/d:ddd > exp-not-ab || framework_failure_
+printf '%s\n' x/a:aaa x/b:bbb > exp-not-d || framework_failure_
+printf '%s\n' x/a:aaa x/b:bbb > exp-not-dir || framework_failure_
+printf '%s\n' x/a:aaa > exp-a || framework_failure_
grep -r --exclude='a*' . x > out || fail=1
sort out > k && mv k out
@@ -40,7 +40,7 @@ grep -r --include='a*' . x > out || fail=1
compare out exp-a || fail=1
# --include (without --recursive) uses different code
-grep --include=a a x/* > out || fail=1
+grep --include=a '^aaa$' x/* > out || fail=1
compare out exp-a || fail=1
Exit $fail
-----------------------------------------------------------------------
Summary of changes:
src/dfa.c | 16 ++++++----------
src/dosbuf.c | 2 +-
tests/Makefile.am | 17 +----------------
tests/include-exclude | 18 +++++++++---------
tests/init.sh | 27 ++++++++++++++++++++++-----
5 files changed, 39 insertions(+), 41 deletions(-)
hooks/post-receive
--
grep
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- grep branch, master, updated. v2.8-28-g252dfb2,
Jim Meyering <=